
Include CSS in HTML
-Inline Styling
-Internal Styling
-External CSS (recommended)
*/

/*CSS Selectors*/
/*Type Selector (<tag name>) - target elements with specified type/tag name*/
h1 {
	color: yellow !important;
	/*important override CSS styling*/
}

/*Universal Selector (*) - target all elements*/
* {
	font-family: "Courier New", monospace;
	/*monospace = fallback font if Courier New is not available*/
	font-size: 20px;
}

/*ID Selector (#id) - targets elements according to its ID attribute; ideally used for targeting a unique element*/
#zuitt-motto {
	letter-spacing:  5px;
}

/*Class Selector (.class-name) - targets elements according to its class attribute; ideally used for multiple elements at once*/

.offering-item {
	text-transform: uppercase;
}

/*Attribute Selector (tagname[attribute]) - target elements with a specified element attribute; used to target elements with a certain attribute*/
input[required] {
	border-width: 2px;
	border-style: solid;
	border-color: blue;
}

/*Adjacent Sibling Selector*/
h3 + img {
	height: 300px;
	width: 300px;
	border-radius: 150px;
}

/*Descendant Selector*/
#bootcamp-learning-list li {
	color: #C5EFCB;
}

/*General Sibling Selector*/
h2 ~ a {
	text-decoration: none;
}


/*CSS Selector Combinators*/
/*Descendant Selector (white space) - matches all elements that are descendants of specified elements*/

/*
div p {
	background-color: red;
}*/

/*
#parent p {
	background-color: red;	
}*/

/*Child Selector (>)*/
/*Select all elements that are direct children of a specified elemetn*/
/*
div > p {
	background-color: red;	
}*/

/*
#parent > p {
	background-color: red;
}*/

/*General Sibling Selector (~)*/
/*Select all elements that are next siblings of a specified element*/
/*
p ~ p {
	background-color: red;
}*/

/*
p ~ section{
	background-color: red;
}*/

/*Adjacent Sibling Selector (+) - select an element that is directly after another specific element*/

/*
p + p {
	background-color: red;
}*/
/*
div + p {
	background-color: red;	
}